package com.qy.agv.activity.appEnum;

import android.graphics.Color;

import com.qy.agv.activity.adapter.HomeListViewAdapter;

public enum StatusEnum {
    STATUS_1(Color.BLUE, "就绪"),
    STATUS_2(Color.GREEN, "执行中"),
    STATUS_3(Color.YELLOW, "已完成"),
    STATUS_4(Color.RED, "异常中"),
    STATUS_5(Color.BLACK, "已取消");

    private final Integer color;
    private final String text;

    public String getText() {
        return text;
    }

    StatusEnum(Integer color, String text) {
        this.color = color;
        this.text = text;
    }
    public static StatusEnum filter(int code){
        return StatusEnum.valueOf("STATUS_"+code);
    }
}
